{% extends "base.html" %}
{% block subtitle %}{{upstream.manager}}: {{upstream.name}}{% endblock %}
{% block main %}
<h1>{{upstream.manager}}: {{upstream.name}} ({{gbranch}})</h1>
<p><a href="{{upstream.link()}}">{{upstream.get_description()}}</a></p>
<p>Latest version: <code>{{upstream.latest}}</code></p>
<p>
    <a href="https://gitlab.wikimedia.org/repos/ci-tools/libup-config/-/blob/master/releases.json">Good/approved version</a>:
    {% if safe_version %}
    <code>{{safe_version}}</code>
    {% else %}
    none
    {% endif %}
</p>
<h3>Repositories using:</h3>
{% if used.prod %}
<h5>Dependencies</h5>
{% for version, repos in used.prod.items()|sort|reverse %}
<p><code>{{version}}</code>: {{repos|length}} repositories</p>
<ul>
    {% for repo in repos|sort %}
    <li>{{macros.repo_link(repo)}}</li>
    {% endfor %}
</ul>
{% endfor %}
{% endif %}
{% if used.dev %}
<h5>Development dependencies</h5>
{# TODO use a semver sort #}
{% for version, repos in used.dev.items()|sort|reverse %}
<p><code>{{version}}</code>: {{repos|length}} repositories</p>
<ul>
    {% for repo in repos|sort %}
    <li>{{macros.repo_link(repo)}}</li>
    {% endfor %}
</ul>
{% endfor %}
{% endif %}
{% endblock %}
